Download it now!
Bug 109219 - Mailmerge: cannot use CSV with space in the file name as Address List with MM Wizard
Summary: Mailmerge: cannot use CSV with space in the file name as Address List with MM...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Michael Weghorn
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords:
Depends on:
Blocks: Mail-Merge CSV
  Show dependency treegraph
 
Reported: 2017-07-19 16:00 UTC by Timur
Modified: 2019-11-12 15:46 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2017-07-19 16:00:03 UTC
Tools - Mail merge wizard:
1. Next (use current document, default)
2. Next (letter, default)
3. Select address list
3a. Add, select the CSV. For example attachment 134329 [details], field separator is Tab, text separator ".
If there are no previous address lists, after adding CSV, "OK" is available. But when there are previous address lists (like ODS) and new CSV is selected, "OK" is not available. It can be tricked by clicking some other list and back. But looks like it never really connects. And that's the bug. 
3b. Even when CSV is selected and OK pressed, "Next" and "Finish" are not available.  "Match Fields.." is unavailable to set at least one field. "This doc shall contain address block" is checked and can't be unchecked. No other option than to press "Cancel".

Expected: OK connects to working address list. Match fields is available so Next is also available. 

Tested in Windows, also with master 6.0+. Looks to me like inherited, seems that other CSV bugs were tested just in Linux and Mac, so not discovered earlier. Can be wrong. Works in Linux. 

Note: With multiple address list, sometimes the cursor is busy, but Cancel is still available and that's not hang. Probably related to this bug.

Workaround: Go directly to Tools-Address Data Source.., then External, select Text, choose path to folder, *.csv (containing headers), Finish, 3. Table selection select attached CSV, here Field Assignment works, up to 5. Finish. And File-Print works. But MM toolbar button unavailable. 
Here could be another enhancement, probably separate bug: there are too many steps and should be reduced, choose path to folder is not right, finally MM toolbar button.
Comment 1 Buovjaga 2017-08-25 15:16:11 UTC
I had three previous lists and OK was available.

Win 10
Version: 6.0.0.0.alpha0+ (x64)
Build ID: 8d74698f407de0b02826777d5cb3f5aca2fd50f1
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-08-24_23:26:55
Locale: fi-FI (fi_FI); Calc: group
Comment 2 Zineta 2017-08-30 11:44:32 UTC
I tried to insert field in writer by mail merge steps and
it seems that there was not problem until I copied csv file 
into teste-mala - Copy.I figure out that space in the name of the file can cause the problem. 
You can tricked it to became active "OK" but still connection not established.
There is name of file but under table you have nothing.Try to ignore this , you can not insert field in file.

Version 6.0+
OS:Win7
Comment 3 Timur 2017-08-30 12:55:03 UTC
(In reply to Zineta from comment #2)
>I figure out that space in the name of the file can cause the problem. 
I'll update the title.
Comment 4 QA Administrators 2019-01-26 03:48:10 UTC Comment hidden (obsolete)
Comment 5 Michael Weghorn 2019-11-07 09:33:47 UTC
This is still reproducible with current master, and it's the same on Linux.
I'm taking a look.

Version: 6.4.0.0.alpha1+
Build ID: 969b55d8da528ea6295e5e9c56fae595bf3bd4ba
CPU threads: 4; OS: Linux 5.2; UI render: default; VCL: kf5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Michael Weghorn 2019-11-07 10:38:06 UTC
Pending fix: https://gerrit.libreoffice.org/#/c/82201/
Comment 7 Commit Notification 2019-11-07 12:05:49 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/47708d533e1325032df55eb667ef0c47fa05e7e5

tdf#109219 Allow files with spaces in name as MM data source

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Michael Weghorn 2019-11-07 12:06:53 UTC
Fixed in master; backport for 6.3 pending at https://gerrit.libreoffice.org/#/c/82209/
Comment 9 Timur 2019-11-09 12:06:33 UTC
Seems fixed now. Thank you Michael for your, if I see well, 41st fix :)
Comment 10 Commit Notification 2019-11-11 14:37:37 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ef21e0d527655761b6c307cae89ee5b370de96d4

tdf#109219 MM: Decode all percent encodings in file names

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-11-12 15:46:56 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/9d5071b7993cb8eca21008989b3ef7b4d82f95e7

tdf#109219 Allow files with spaces in name as MM data source

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.